## php.java.faces
Class PhpFacesScriptContextFactory

    java.lang.Object
      php.java.bridge.http.SimpleContextFactory
          php.java.servlet.ServletContextFactory
              php.java.faces.PhpFacesScriptContextFactory

All Implemented Interfaces:
  IContextFactory, IContextFactoryVisitor

    public class PhpFacesScriptContextFactory

extends ServletContextFactory

A custom ContextFactory, manages a custom ScriptContext.

Author:
  jostb

Method Summary
`static ServletContextFactory` `addNew(IPhpScriptContext context, javax.servlet.ServletContext kontext, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Create a new ContextFactory
`java.lang.Object` `createContext()` Returns the JSR223 ScriptContext.

Methods inherited from class php.java.servlet.ServletContextFactory
`addNew, destroy, getSession, setSession, toString`

Methods inherited from class php.java.bridge.http.SimpleContextFactory
`getBridge, getContext, getId, recycle, recycle, remove, setBridge, setContext, visit, waitFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### addNew

    public static ServletContextFactory addNew(IPhpScriptContext context,
                                               javax.servlet.ServletContext kontext,
                                               javax.servlet.http.HttpServletRequest req,
                                               javax.servlet.http.HttpServletResponse res)

  Create a new ContextFactory

  Parameters:
    `context` - The ScriptContext
    `kontext` - The ServletContext
    `req` - The ServletRequest
    `res` - The ServletResponse
  Returns:
    The ContextFactory

### createContext

    public java.lang.Object createContext()

  Returns the JSR223 ScriptContext.

  Overrides:
    `createContext` in class `ServletContextFactory`
  Returns:
    The context
  See Also:
    `SimpleContextFactory.getContext()`, `Context`